import { SeriesDescription } from "./SeriesDescription";
import { Type } from "./type";
/**
 * @hidden
 */
export declare abstract class FinancialSeriesDescription extends SeriesDescription {
    static $t: Type;
    protected get_type(): string;
    constructor();
    private ei;
    get negativeBrush(): string;
    set negativeBrush(a: string);
    private eo;
    get xAxisRef(): string;
    set xAxisRef(a: string);
    private ep;
    get yAxisRef(): string;
    set yAxisRef(a: string);
    private ej;
    get openMemberPath(): string;
    set openMemberPath(a: string);
    private eg;
    get highMemberPath(): string;
    set highMemberPath(a: string);
    private eh;
    get lowMemberPath(): string;
    set lowMemberPath(a: string);
    private ea;
    get closeMemberPath(): string;
    set closeMemberPath(a: string);
    private en;
    get volumeMemberPath(): string;
    set volumeMemberPath(a: string);
    private ee;
    get highlightedOpenMemberPath(): string;
    set highlightedOpenMemberPath(a: string);
    private ec;
    get highlightedHighMemberPath(): string;
    set highlightedHighMemberPath(a: string);
    private ed;
    get highlightedLowMemberPath(): string;
    set highlightedLowMemberPath(a: string);
    private eb;
    get highlightedCloseMemberPath(): string;
    set highlightedCloseMemberPath(a: string);
    private ef;
    get highlightedVolumeMemberPath(): string;
    set highlightedVolumeMemberPath(a: string);
    private d5;
    get isCustomCategoryStyleAllowed(): boolean;
    set isCustomCategoryStyleAllowed(a: boolean);
    private ek;
    get transitionInMode(): string;
    set transitionInMode(a: string);
    private d6;
    get isTransitionInEnabled(): boolean;
    set isTransitionInEnabled(a: boolean);
    private d9;
    get assigningCategoryStyleRef(): string;
    set assigningCategoryStyleRef(a: string);
    private el;
    get typicalRef(): string;
    set typicalRef(a: string);
    private em;
    get typicalBasedOnRef(): string;
    set typicalBasedOnRef(a: string);
}
